EPIC installation fails on latest Eclipse

Help
Henry
2013-09-12
2013-09-12
  • Henry
    Henry
    2013-09-12

    Hello - I'm trying out Eclipse for the first time, and would love to get EPIC working as well.

    I'm using:
    CentOS 6.4
    Eclipse Platform
    Version: 3.6.1
    Build id: M20100909-0800

    When I install EPIC following the instructions from here:
    http://www.epic-ide.org/guide/ch01s02.php

    I'm getting the following error:
    'Installing Software' has encountered a problem.

    An error occured while collecting items to be installed.

    Details:
    An error occurred while collecting items to be installed
    session context was:(profile=PlatformProfile, phase=org.eclipse.equinox.internal.p2.engine.phases.Collect, operand=, action=).
    No repository found containing: osgi.bundle,org.eclipse.pde.build,3.6.1.R36x_v20100823
    No repository found containing: osgi.bundle,org.eclipse.pde.core,3.6.1.v20100902_r361
    No repository found containing: osgi.bundle,org.eclipse.pde.launching,3.6.0.v20100601
    No repository found containing: osgi.bundle,org.eclipse.pde.ui,3.6.1.v20100810_r361
    No repository found containing: osgi.bundle,org.eclipse.ui.views.log,1.0.100.v20100423

    The C++ side of things works perfectly.

    I'd appreciate any pointers on how to resolve this.

    Thanks
    Henry

     
  • Henry
    Henry
    2013-09-12

    never mind - sorted.

    Turns out to be a permissions issue - if I run eclipse as root, all's good.

    Weird, but anyway.